<nav class="navbar navbar-default navbar-expand-md">
  <div class="container-fluid">
    <div class="navbar-header">
      <a href="#" class="navbar-brand">Recipe Book</a>
    </div>

    <div class="collapse navbar-collapse">
      <ul class="nav navbar-nav mr-auto">
        <li routerLinkActive="active">
          <a routerLink="/recipes" class="px-3" *ngIf="isAuthenticated">Recipes</a>
        </li>
        <li routerLinkActive="active">
          <a routerLink="/auth" class="px-3" *ngIf="!isAuthenticated">Authenticate</a>
        </li>
        <li routerLinkActive="active">
          <a routerLink="/shopping-list" class="px-3">Shopping List</a>
        </li>
      </ul>
      <ul class="navbar navbar-nav navbar-right">
        <li>
          <a style="cursor: pointer;" class="px-3" *ngIf="isAuthenticated" (click)="onLogOut()">
            Log Out
          </a>
        </li>
        <li class="dropdown" appDropDown *ngIf="isAuthenticated">
          <a class="dropdown-toggle"
             role="button"
             data-toggle="dropdown">
            Manage
          </a>
          <ul class="dropdown-menu">
            <li>
              <a
                style="cursor: pointer;"
                (click)="onSaveData()"
              >
                Save Data
              </a>
            </li>
            <li>
              <a
                style="cursor: pointer;"
                (click)="onFetchData()"
              >
                Fetch Data
              </a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>
